Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.api.node
Interface PortalNode

All Known Implementing Classes:
  PortalNodeImpl

    public interface PortalNode

Represents a portal node, a first class entity for the portal.

Version:
  $Revision: 8785 $
Author:
  Julien Viet

Field Summary
`static int` | `TYPE_CONTEXT` A node of type context.
`static int` | `TYPE_PAGE` A node of type page.
`static int` | `TYPE_PORTAL` A node of type portal.
`static int` | `TYPE_WINDOW` A node of type window.

Method Summary
`PortalNodeURL` | `createURL(PortalRuntimeContext portalRuntimeContext)` Create a portal node url for this object.
`PortalNode` | `getChild(java.lang.String name)` Return a child of this object.
`java.util.Collection` | `getChildren()` Return the children of this object.
`java.lang.String` | `getDisplayName(java.util.Locale locale)` Returns the best display name for specified locale.
`java.lang.String` | `getName()` Return the node name which identifies the node in the context to its parent.
`PortalNode` | `getParent()` Return the parent node of this node.
`java.util.Map` | `getProperties()` Returns the node properties.
`PortalNode` | `getRoot()` Return the root node of this node.
`int` | `getType()` Return the node type.
`PortalNode` | `resolve(java.lang.String relativePath)` Get a portal node relative to this object.

Field Detail

### TYPE_CONTEXT

    static final int TYPE_CONTEXT

  A node of type context.

  See Also:
    Constant Field Values

### TYPE_PORTAL

    static final int TYPE_PORTAL

  A node of type portal.

  See Also:
    Constant Field Values

### TYPE_PAGE

    static final int TYPE_PAGE

  A node of type page.

  See Also:
    Constant Field Values

### TYPE_WINDOW

    static final int TYPE_WINDOW

  A node of type window.

  See Also:
    Constant Field Values

Method Detail

### getType

    int getType()

  Return the node type.

  Returns:
    the node type

### getRoot

    PortalNode getRoot()

  Return the root node of this node.

  Returns:
    the root node

### getParent

    PortalNode getParent()

  Return the parent node of this node.

  Returns:
    the parent node

### getName

    java.lang.String getName()

  Return the node name which identifies the node in the context to its parent.

  Returns:
    the node name

### getDisplayName

    java.lang.String getDisplayName(java.util.Locale locale)

  Returns the best display name for specified locale.

  Returns:
    the display name

### getChild

    PortalNode getChild(java.lang.String name)

  Return a child of this object.

  Parameters:
    `name` - the child name
  Returns:
    a named child

### getChildren

    java.util.Collection getChildren()

  Return the children of this object.

  Returns:
    the children

### resolve

    PortalNode resolve(java.lang.String relativePath)

  Get a portal node relative to this object.

  Parameters:
    `relativePath` - the relative path
  Returns:
    the relative object

### getProperties

    java.util.Map getProperties()

  Returns the node properties.

  Returns:
    the node properties

### createURL

    PortalNodeURL createURL(PortalRuntimeContext portalRuntimeContext)

  Create a portal node url for this object.

  Parameters:
    `portalRuntimeContext` - the portal runtime context
  Returns:
    the portal node url

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD